OpenMesh::Concepts::MeshItems::VertexT< Refs_ > Class Template Reference

Interface for the internal vertex type. More...

`#include <Doc/Concepts/MeshItems.hh>`

## Public Types

typedef Refs_ | Refs
| Re-export the template argument Refs. This must be done!

## Public Member Functions

| VertexT ()
| Default constructor.
HalfedgeHandle | halfedge_handle () const
| Get an outgoing halfedge.
void | set_halfedge_handle (HalfedgeHandle _eh)
| Set the outgoing halfedge link.

## Detailed Description

### template<class Refs_>
class OpenMesh::Concepts::MeshItems::VertexT< Refs_ >

Interface for the internal vertex type.

This minimal interface must be provided by every vertex. It's up to the mesh kernel (or the items used by the mesh kernel) to implement it.

All methods marked as internal should only be used by the mesh kernel.

The documentation for this class was generated from the following file:

- Doc/Concepts/MeshItems.hh